/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the package root for more information
*-------------------------------------------------------------------------------------------*/
import * as React from 'react';
import PropTypes from 'prop-types';
import { LocalizationProviderProps } from './LocalizationProviderProps';
import { LocalizationService } from './LocalizationService';
/**
 * A React component which provides a localization service. Expects a language string as a property of the component.
 */
export declare class LocalizationProvider extends React.Component<LocalizationProviderProps, {}> {
    /**
     * @hidden
     */
    static propTypes: {
        language: PropTypes.Requireable<string>;
    };
    /**
     * Returns a localization service. The method is suitable for overriding when you implement custom localization behavior.
     */
    getLocalizationService(): LocalizationService;
    /**
     * @hidden
     */
    render(): import("react/jsx-runtime").JSX.Element;
}
